textures/holy/trigger
{
    qer_trans 0.5
    qer_nocarve
    surfaceparm nodraw
    surfaceparm detail
}
textures/holy/sky_purple
{
	qer_editorImage "textures/holy/sky_purple.tga"
	surfaceParm noImpact
	surfaceParm noLightmap
	q3map_globalTexture
	q3map_lightSubdivide 256
	q3map_surfaceLight 50
	surfaceParm sky
	q3map_sun 1 1 0.5 550 30 860
	skyParms "full" 512 -
	{
		map "textures/holy/sky_purple.tga"
		tcMod scroll 0.01 0.01
		tcMod scale 3 2
	}
	{
		map "textures/holy/sky_purple.tga"
		blendFunc add
		tcMod scroll 0.01 0.01
		tcMod scale 3 3
	}
}
textures/holy/light_02_red
{
	qer_trans 	0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nolightmap
	{
		map textures/holy/light_02_red.jpg
	}
	{
		map textures/holy/tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}
models/holyobj/light_02_purple
{
    qer_trans     0.5
    surfaceparm trans
    surfaceparm nolightmap
    surfaceparm nonsolid
    {
        map models/holyobj/light_02_purple.jpg
        alphagen const 0.7
        blendfunc blend
    }
    {
        map models/holyobj/tint.jpg
        tcmod scale .5 .5
        tcgen environment
        alphagen const 0.4
        blendfunc blend
        rgbGen vertex
    }
}
textures/holy/light_02_orange
{
	qer_trans 	0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nolightmap
	{
		map textures/holy/light_02_orange.jpg
	}
	{
		map textures/holy/tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}
textures/holy/light_02_cyan
{
	qer_trans 	0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nolightmap
	{
		map textures/holy/light_02_cyan.jpg
	}
	{
		map textures/holy/tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}

        
textures/holy/briquenosolid
{
	surfaceparm nonsolid

{
        map $lightmap
        rgbGen identity
        }
        {
        map textures/holy/briquenosolid.tga
        blendFunc GL_DST_COLOR GL_ZERO
        }
  }





textures/holy/light_02_green
{
	qer_trans 	0.5
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nolightmap
	{
		map textures/holy/light_02_green.jpg
	}
	{
		map textures/holy/tint.jpg
		tcmod scale .5 .5
		tcgen environment
		blendFunc add
		rgbGen vertex
	}
}
textures/holy/caulk
{
	surfaceParm noDraw
	surfaceParm noLightmap
	surfaceParm noMarks
	surfaceParm noDamage
}

textures/holy/sky2
{
	qer_editorimage textures/hope/rays_up.tga
	q3map_skylight 500 4
	q3map_sun 1 1 1 350 60 41.743
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	skyparms textures/hope/rays - -
}

textures/holy/water
{
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 100
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm water
	cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
	{
		map textures/holy/water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/holy/water.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}

textures/holy/nonsolidcaulk
{
	qer_editorImage "textures/holy/caulk.jpg"
	qer_trans 0.2
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm detail
}

textures/holy/playerclip
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm detail
}

textures/holy/portal
{
    qer_editorImage textures/holy/portal.tga
    qer_trans 0.7
    surfaceparm detail
    surfaceparm nonsolid
    {
        map textures/holy/portal.tga
        tcMod scroll 0 1
    }
}
